UDisks Reference Manual: org.freedesktop.UDisks2.PartitionTable

## org.freedesktop.UDisks2.PartitionTable org.freedesktop.UDisks2.PartitionTable — Block device containing a partition table |

## Methods

    CreatePartition (IN  t     offset,
                     IN  t     size,
                     IN  s     type,
                     IN  s     name,
                     IN  a{sv} options,
                     OUT o     created_partition);

## Properties

    Type  readable   s

## Description

This interface is used for org.freedesktop.UDisks2.Block devices that contain a partition table.

## Method Details

### The CreatePartition() method

    CreatePartition (IN  t     offset,
                     IN  t     size,
                     IN  s     type,
                     IN  s     name,
                     IN  a{sv} options,
                     OUT o     created_partition);

Creates a new partition.

Note that the created partition won't necessarily be created at the exact `offset` due to disk geometry and other alignment constraints (e.g. 1MiB alignment).

The newly created partition may also end up being slightly larger or smaller than the requested `size` bytes for the same reasons.

The newly created partition will be wiped of known filesystem signatures using the wipefs(8) command.

`IN t `offset``: | The desired offset where the partition should be created, in bytes.
`IN t `size``: | The desired size of the partition, in bytes.
`IN s `type``: | The type of partition to create (cf. the "Type" property) or blank to use the default for the partition table type and OS.
`IN s `name``: | The name for the new partition or blank if the partition table do not support names.
`IN a{sv} `options``: | Options (currently unused except for standard options).
`OUT o `created_partition``: | An object path to the created block device object implementing the org.freedesktop.UDisks2.Partition interface.

## Property Details

### The "Type" property

    Type  readable   s

The type of partition table detected.

Known values include:

dos | Master Boot Record
gpt | GUID Partition Table

If blank it means that a partition table was detected but its scheme is unknown.